Api Change Log

Application Versions


Changes between 23.6 to 24.6

What's New


  1. POST /connection/kpiquery Fetches PM SUTS KPI data for connections
  2. GET /livepmdatasessionstatus/{userSessionId} Fetches current status of Live PM session

What's Deleted


  1. POST /ne/queryWithDetails Fetches PM data for NEs
  2. POST /connection/queryWithDetails Fetches PM data for connections
  3. GET /getNeCount Fetches total number of NEs present in system

What's Deprecated


  1. POST /ne/missingmappinginfo This API finds all missing mapping info

What's Changed


  1. GET /downloadreportfile/{profileId}/{fileName}
    • Response

      • Changed response : [400]//Validation errors: <br />Download Failed because of Too many download file requests in processing. <br />ErrProfileIdNotExist:Profile Id does not exist in DB.
    • DELETE /livepmdata/{userSessionId}
      • Response

        • Changed response : [200]//Successfully unsubscribed to stop receiving the Live PM data. <br /> Once unsubscribed, the Live PM data coming in websocket will be stopped and the socket will be closed. <br /> If the specified session id is not present, this api will return success response
          • Changed response : [400]//Validation errors: <br /> ErrSessionIdIsEmpty:Session Id should not be empty <br /> ErrSessionIdIsEmpty:ErrInvalidSessionId:Invalid Session Id format <br />
        • PUT /livepmdata/{userSessionId}
          • Request

            • Schema

              Changed body: 'application/json'
          • Response

            • New response : [404]//Validation errors: <br /> ErrInvalidUserNe : Specified NE involved does not belong to current user domain. <br /> ErrInvalidUserNes : Some of NEs involved does not belong to current user domain. <br /> ErrInvalidUserCxns : Some of CXNs involved does not belong to current user domain. <br /> ErrInvalidUserCxn : Specified CXN involved does not belong to current user domain
            • Changed response : [400]//Validation errors: <br /> Connection or NE and Port details should not be empty. <br /> ErrConnectionIdIsEmpty:ConnectionID should not be empty. <br /> ErrNeIdIsEmpty:Ne Id should not be empty. <br /> ErrPortLabelIsEmpty:Portlabel should not be empty. <br /> ErrValuesIsEmpty:cnp values should not be empty. <br /> Technology, Metric Group and Metric details in metrics field should not be empty. <br /> ErrMetricsIsEmpty:Metrics should not be empty. <br /> ErrTechnologyIsEmpty:Technology should not be empty. <br /> ErrMetricGroupIsEmpty:Metric Group should not be empty. <br /> ErrMetricsIsEmpty:Metrics should not be empty. <br /> ErrInvalidGranularity:Only 15mins or 24hours granularity is supported in Live PM<br />
          • POST /skipNextRunOfJobByProfileId
            • Request

              • Schema

                Changed body: 'application/json'
          • POST /resumeJobByProfileId
            • Request

              • Schema

                Changed body: 'application/json'
          • POST /pauseJobByProfileId
            • Request

              • Schema

                Changed body: 'application/json'
          • DELETE /nbi-streaming/api/v1/subscriptions/{subscriptionId}
            • Response

              • Changed response : [400]//Validation errors: <br /> subscriptionId should not be empty. <br /> User cannot delete subscription created by others
            • POST /nbi-streaming/api/v1/subscriptions/{subscriptionId}
              • Request

                • Schema

                  Changed body: 'application/json'
            • POST /nbi-streaming/api/v1/subscriptions/
              • Request

                • Schema

                  Changed body: 'application/json'
              • Response

                • Changed response : [400]//Validation errors: <br /> Granularity should be 15mins or 24hours in this release. <br /> Start time should be a valid timestamp. It cannot be very older date time<br /> profileName should not be empty. <br /> Filter key cannot be empty in neFilter. <br /> Filter key under neFilter should be one of [neLabel, addr, loc, rel, type]. <br /> Filter value cannot be empty in neFilter. <br /> Filter value under neFilter should start with one of keyword [starts, ends, contains] followed by space. <br /> This operation is not allowed for current user.
              • POST /livepmdata
                • Request

                  • Schema

                    Changed body: 'application/json'
                • Response

                  • New response : [404]//Validation errors: <br /> ErrInvalidUserNe : Specified NE involved does not belong to current user domain. <br /> ErrInvalidUserNes : Some of NEs involved does not belong to current user domain. <br /> ErrInvalidUserCxns : Some of CXNs involved does not belong to current user domain. <br /> ErrInvalidUserCxn : Specified CXN involved does not belong to current user domain
                  • Changed response : [200]//Successfully subscribed to Live PM data <br /> <pre> If this API is successful, PMNextGen will start pumping Live PM Data into websocket topic for every sampling frequency<br /> The successful response contains 2 fields:<br /> 1. topic - Websocket topic name <br /> 2. subscription id to be used further in update, pause, resume and delete subscription APIs <br /> Then user has to perform below operations to start receiving Live PM Data: <br /> A. Connect to the websocket "wss://<<WS-NOC Main IP>>:8443/mncpm/connect" <br /> Authorization, Keystore and Truststore should be set properly while connecting to websocket<br /> B. Once connected to websocket, subscribe to topic which you received the name in 'topic' field in this response<br /> and listen for live pm data messages.<br /> Live PM Data messages will be keep coming in the websocket topic in below format:<br /> {"OTN_CONNECTION_63/7/11DPM12-1-11-L1/NEND/Rx":{"gdm":{"dt":"2023-02-01 20:31:40","OPR-AVG":10.0,"OPR-H":10.0,"OPR-L":10.0},"metrics":["OPR-AVG","OPR-H","OPR-L"]},"OTN_CONNECTION_63/8/11DPM12-1-11-L1/NEND/Rx":{"gdm":{"dt":"2023-02-01 20:31:40","OPR-AVG":10.0,"OPR-H":10.0,"OPR-L":10.0},"metrics":["OPR-AVG","OPR-H","OPR-L"]}} <br /> The key format is "Connection Id/Ne Id/PortLabel/Location/Direction". <br /> The metrics field will have the metric name and value for the specified dt timeframe <br /></pre>
                    • Changed response : [400]//Validation errors: <br /> Connection or NE and Port details should not be empty. <br /> Connection ID is not present in PM DB. <br /> The NeID and port is not present in given ConnectionID. <br /> Ports for NE Id is not present in PM DB. <br /> ErrConnectionIdIsEmpty:ConnectionID should not be empty. <br /> ErrNeIdIsEmpty:Ne Id should not be empty. <br /> ErrPortLabelIsEmpty:Portlabel should not be empty. <br /> ErrValuesIsEmpty:cnp values should not be empty. <br /> Technology, Metric Group and Metric details in metrics field should not be empty. <br /> ErrMetricsIsEmpty:Metrics should not be empty. <br /> ErrTechnologyIsEmpty:Technology should not be empty. <br /> ErrMetricGroupIsEmpty:Metric Group should not be empty. <br /> ErrMetricsIsEmpty:Metrics should not be empty. <br /> ErrInvalidGranularity:Only 15mins or 24hours granularity is supported in Live PM
                  • POST /deleteJobByProfileId
                    • Request

                      • Schema

                        Changed body: 'application/json'
                  • DELETE /schedulejob/delete/{profileId}
                    • Response

                      • Changed response : [200]//Successfully Deleted data
                        • Schema

                          Changed body: '*/*'
                      • Changed response : [400]//Validation errors: <br /> ErrProfileIdNotExist:Profile Id does not exist in DB
                        • Schema

                          Changed body: '*/*'
                      • Changed response : [401]//You are not authorized to delete the resource
                        • Schema

                          Changed body: '*/*'
                      • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
                        • Schema

                          Changed body: '*/*'
                      • Changed response : [404]//The resource you were trying to reach is not found
                        • Schema

                          Changed body: '*/*'
                      • Changed response : [500]//Internal application error
                        • Schema

                          Changed body: '*/*'
                  • DELETE /deletereportfile/{profileId}/{fileName}
                    • Response

                      • Changed response : [200]//Successfully deleted file
                        • Schema

                          Changed body: '*/*'
                      • Changed response : [400]//Validation errors: <br />The given file does not exist in the location.
                        • Schema

                          Changed body: '*/*'
                      • Changed response : [401]//You are not authorized to delete the resource
                        • Schema

                          Changed body: '*/*'
                      • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
                        • Schema

                          Changed body: '*/*'
                      • Changed response : [500]//Internal application error
                        • Schema

                          Changed body: '*/*'
                  • POST /mdcxnlist
                    • Request

                      • Schema

                        Changed body: 'application/json'
                  • POST /getPortDataForNes/
                    • Request

                      • Schema

                        Changed body: 'application/json'
                  • PUT /schedulejob/update
                    • Request

                      • Schema

                        Changed body: 'application/json'
                  • POST /schedulejob/create
                    • Request

                      • Schema

                        Changed body: 'application/json'
                    • Response

                      • Changed response : [200]//Successfully created CSV report schedule job
                        • Schema

                          Changed body: '*/*'
                      • Changed response : [400]//Validation errors:<br /> Granularity should be 15mins or 24hours <br /> Profile Id should contain only Alpha Numeric and Underscore characters <br /> Local File location should contain only Alpha Numeric, Eiphen and Underscore characters <br /> SFTP details are incorrect hence could not connect to sftp server <br /> SFTP File location is not matching the ip:port/path pattern <br /> Profile Status should be either active or inactive <br /> Duration of data should not be empty <br /> Duration of data should have valid value <br /> Purge Criteria should be specified <br /> Frequency should be set to either daily, weekly, monthly and Yearly. It should not be empty <br /> Daily option should be either onetime or reccurence .It should not be null <br /> Enter a valid hour and min in onetime field or reccurence field <br /> Enter a valid hour and min in daily, weekly, monthly and in yearly fields <br /> Start date should be valid End date time should be greater than start time <br /> End date time should be greater than current time <br /> Sftp field should not be set to "active" or "inactive" <br /> Report format version should not be null or empty
                        • Schema

                          Changed body: '*/*'
                      • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
                        • Schema

                          Changed body: '*/*'
                      • Changed response : [404]//The resource you were trying to reach is not found
                        • Schema

                          Changed body: '*/*'
                      • Changed response : [409]//Already a profile with specified Id exists in DB
                        • Schema

                          Changed body: '*/*'
                      • Changed response : [500]//Internal application error
                        • Schema

                          Changed body: '*/*'
                  • POST /ne/exportpdf
                    • Request

                      • Schema

                        Changed body: 'application/json'
                    • Response

                      • Changed response : [400]//Validtion errors: <br />Granularity should be 15mins/24hours <br />File location is not matching the ip address <br />Start time should be a valid timestamp <br />End time should be a valid timestamp <br />ObjIds should not be empty and should contain valid NE IDs <br />Start date time should be less than end date time <br />Sftp details are incorrect, could not connect to sftp server <br />The given file does not exist in the location <br />Error in generating pdf report
                    • POST /ne/exportcompactpdf
                      • Request

                        • Schema

                          Changed body: 'application/json'
                      • Response

                        • New response : [404]//ErrPreviewFailed: Too many ODR requests in processing
                        • Changed response : [400]//Validtion errors: <br />Granularity should be 15mins/24hours <br />File location is not matching the ip address <br />Start time should be a valid timestamp <br />End time should be a valid timestamp <br />ObjIds should not be empty and should contain valid NE IDs <br />Start date time should be less than end date time <br />Sftp details are incorrect, could not connect to sftp server <br />The given file does not exist in the location <br />Error in generating pdf report <br />Error in reading data from PM database
                      • POST /ne/export It is NAD compliant. Download PM data as a CSV report for NEs
                        • Request

                          • Schema

                            Changed body: 'application/json'
                        • Response

                          • New response : [404]//ErrPreviewFailed: Too many ODR requests in processing
                          • Changed response : [400]//Validtion errors: <br />Granularity should be 15mins/24hours <br />Ports for given NE Id is not present. <br />File location is not matching the ip address <br />Start time should be a valid timestamp <br />End time should be a valid timestamp <br />ObjIds should not be empty and should contain valid NE IDs <br />Start date time should be less than end date time <br />Sftp details are incorrect, could not connect to sftp server <br />The given file does not exist in the location
                        • POST /getcxnspanloss/ Retrieves spanloss for given connections
                          • Request

                            • Schema

                              Changed body: 'application/json'
                        • POST /ne/query It is NAD compliant. Fetches PM data for NEs
                          • Request

                            • Schema

                              Changed body: 'application/json'
                          • Response

                            • Changed response : [200]//Successfully retrieved data
                              • Schema

                                Changed body: '*/*'
                            • Changed response : [400]//Validation errors: <br />Response size exceeded <br />Granularity should be 15mins or 24hours <br />File location is not matching the ip <br />Start time should be a valid timestamp <br />End time should be a valid timestamp <br />NE ID should not be empty <br />Start date time should be less than end date time <br />Sftp details are incorrect, could not connect to sftp server
                              • Schema

                                Changed body: '*/*'
                            • Changed response : [401]//You are not authorized to view the resource
                              • Schema

                                Changed body: '*/*'
                            • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
                              • Schema

                                Changed body: '*/*'
                            • Changed response : [500]//Internal application error
                              • Schema

                                Changed body: '*/*'
                        • POST /ne/nePmData It is NAD compliant. Fetches PM data for NEs
                          • Request

                            • Schema

                              Changed body: 'application/json'
                        • POST /cxn/exportpdf
                          • Request

                            • Schema

                              Changed body: 'application/json'
                          • Response

                            • Changed response : [400]//Validation errors: <br />Granularity should be 1min/15mins/24hours/4hr/8/hr/1hr <br />File location is not matching the ip <br />Start time should be a valid timestamp <br />End time should be a valid timestamp <br />ObjIds should not be empty and should contain valid Connection IDs <br />The CXN ID is not present in PM DB <br /> The CXN ID is not having matching data in PM db <br /> Start date time should be less than end date time <br />Sftp details are incorrect, could not connect to sftp server <br />The given file does not exist in the location
                          • POST /cxn/exportcompactpdf
                            • Request

                              • Schema

                                Changed body: 'application/json'
                            • Response

                              • New response : [404]//ErrPreviewFailed: Too many ODR requests in processing
                              • Changed response : [400]//Validation errors: <br />Granularity should be 1min/15mins/24hours/4hr/8/hr/1hr <br />File location is not matching the ip <br />Start time should be a valid timestamp <br />End time should be a valid timestamp <br />ObjIds should not be empty and should contain valid Connection IDs <br />Start date time should be less than end date time <br />Sftp details are incorrect, could not connect to sftp server <br />The given file does not exist in the location <br />Error in downloading compact pdf report<br />Error in reading data from PM database
                            • POST /cxn/export It is NAD compliant.Download PM data as a report for connections
                              • Request

                                • Schema

                                  Changed body: 'application/json'
                              • Response

                                • New response : [404]//ErrPreviewFailed: Too many ODR requests in processing
                                • Changed response : [400]//Validation errors: <br />Granularity should be 1min/15mins/24hours/4hr/8/hr/1hr <br />Connection ID is not present in PM DB. <br />NeId and port is not present in given connection ID. <br />NeId is not present for given Connection ID. <br />File location is not matching the ip <br />Start time should be a valid timestamp <br />End time should be a valid timestamp <br />ObjIds should not be empty and should contain valid Connection IDs <br />Start date time should be less than end date time <br />Sftp details are incorrect, could not connect to sftp server <br />The given file does not exist in the location
                              • POST /connection/query It is NAD compliant.Fetches PM data for connections
                                • Request

                                  • Schema

                                    Changed body: 'application/json'
                                • Response

                                  • Changed response : [200]//Successfully retrieved data
                                    • Schema

                                      Changed body: '*/*'
                                  • Changed response : [400]//Validtion errors: <br />Response size exceeded <br />Granularity should be 15mins or 24hours <br />File location is not matching the ip <br />Start time should be a valid timestamp <br />End time should be a valid timestamp <br />The CXN ID is not present in PM DB <br /> The CXN ID is not having matching data in PM db <br /> ObjIds should not be empty and should contain valid Connection IDs <br />Start date time should be less than end date time
                                    • Schema

                                      Changed body: '*/*'
                                  • Changed response : [401]//You are not authorized to view the resource
                                    • Schema

                                      Changed body: '*/*'
                                  • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
                                    • Schema

                                      Changed body: '*/*'
                                  • Changed response : [500]//Internal application error
                                    • Schema

                                      Changed body: '*/*'
                              • POST /connection/cxnPmData It is NAD compliant.Fetches PM data for connections
                                • Request

                                  • Schema

                                    Changed body: 'application/json'
                                • Response

                                  • Changed response : [200]//Successfully retrieved data
                                    • Schema

                                      Changed body: '*/*'
                                  • Changed response : [400]//Validation errors: <br />Response size exceeded <br />Granularity should be 15mins or 24hours <br />File location is not matching the ip <br />Start time should be a valid timestamp <br />End time should be a valid timestamp <br />The CXN ID is not present in PM DB <br /> The CXN ID is not having matching data in PM db <br /> ObjIds should not be empty and should contain valid Connection IDs <br />Start date time should be less than end date time
                                    • Schema

                                      Changed body: '*/*'
                                  • Changed response : [401]//You are not authorized to view the resource
                                    • Schema

                                      Changed body: '*/*'
                                  • Changed response : [403]//Accessing the resource you were trying to reach is forbidden
                                    • Schema

                                      Changed body: '*/*'
                                  • Changed response : [500]//Internal application error
                                    • Schema

                                      Changed body: '*/*'